/*
 * @Date: 2025-07-02 13:22:15
 * @Author: mypx
 * @LastEditors: mypx mypx_coder@163.com
 * @LastEditTime: 2025-08-20 10:56:01
 * @FilePath: sv_device.h
 * @Description: 
 * Copyright (c) 2025 by mypx, All Rights Reserved.
 */
#ifndef __SV_DEVICE_H__
#define __SV_DEVICE_H__
#include "sv_common.h"

int sv630p_position_mode_init(sv630p_handle_t *dev);

int sv630p_speed_mode_init(sv630p_handle_t *dev);

int sv630p_speed_mode_start(sv630p_handle_t *dev, double rpm);

int sv630p_speed_mode_resume(sv630p_handle_t *dev);

int sv630p_speed_mode_stop(sv630p_handle_t *dev);

int sv630p_speed_update(sv630p_handle_t *dev, double rpm);

double sv630p_get_last_rpm(sv630p_handle_t *dev);

SV630P_Dir sv630p_get_dir(sv630p_handle_t *dev);

int sv630p_dir_change(sv630p_handle_t *dev);
#endif // __SV_POS_MODE_H__
